For the complete documentation index, see llms.txt. This page is also available as Markdown.

Devices

List

get

Retrieve Criteria Device List of a session server with the specified ID.

Path parameters
idinteger · int32Required

The ID of a session server for which to retrieve the Criteria settings.

Responses
200

Success

application/json; api-version=1.0

Client device criteria entry

clientstring · nullableOptional

The name of the client device.

get/api/LogonHours/{id}/Criteria/Devices

Add

post

Add a device to the Device List of the Criteria settings.

Path parameters
idinteger · int32Required

The ID of a session server for which to modify the Criteria settings.

Body

Add a client device to the Criteria Devices list

clientDeviceNamestring · min: 1 · max: 255 · nullableRequired

The name of the client device to add to the Criteria.

Responses
201

Created

No content

post/api/LogonHours/{id}/Criteria/Devices

No content

Remove

delete

Remove a device from the Device List of the Criteria settings.

Path parameters
idinteger · int32Required

The ID of a session server for which to modify the Criteria settings.

Body

Remove a client device from the Criteria Devices list

clientDeviceNamestring · min: 1 · max: 255 · nullableRequired

The name of the client device to remove from the Criteria.

Responses
204

No Content

No content

delete/api/LogonHours/{id}/Criteria/Devices

No content

Last updated